Bug 152976 - Unable to alter font inside of an equation
Unable to alter font inside of an equation
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-31 10:49 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 08:47:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2005-03-31 10:49:47 EST
Description of problem:
Under the last stable release (1.1.3), I could create an equation, come out of
the editor, highlight a letter inside the equation and change the font to the
Greek equivalent. There isn't currently a way of doing this under OOo2

Version-Release number of selected component (if applicable):
1.9.88-4
1.1.3
How reproducible:
Always

Steps to Reproduce:
1. Create an equation (say a = bg)
2. Exit the editor and try and change the a, b and g to a greek font
3.
  
Actual results:
The font cannot be altered

Expected results:
The font can be altered from outside of the editor

Additional info:
Comment 1 Caolan McNamara 2005-04-01 10:20:29 EST
a) Is this with file->new formula. Or inside a writer document with
insert->object->formula ?
b) How did you change the font in 1.1.3, with format fonts inside the equation
editor ?
Comment 2 Paul F. Johnson 2005-04-01 10:26:39 EST
(a) insert->object->formula
(b) As I would with any text on screen, highlight and use the font picker to
change it.
Comment 3 Caolan McNamara 2005-04-01 13:36:51 EST
You could never do this AFAIK, are you sure you could do that in 1.1.3 ?
Comment 4 Paul F. Johnson 2005-04-02 03:35:29 EST
Yes. I used to do it quite frequently when preparing lecture notes for some of
my maths classes.
Comment 5 Caolan McNamara 2005-04-02 05:56:33 EST
I just still don't understand what has changed, I must be missing something
obvious. In 1.1.3 and 1.9.88 after the equation is inserted, then you leave the
equation text area input UI and your cursor is back in the writer document. 

If you then just select the equation (i.e. click once) then the font picker and
the rest of the bold/italic etc toolbar in writer disappears and the object
toolbar appears, i.e. no possibility to change the font. If you type some
ordinary text before and after the equation object and select the lot then you
can change the writer font which affects the text before and after the equation,
but not the equation itself. Which is the same behaviour in 1.1.X and in 1.9.X.
 
Neither is it possible, once the equation editor object activation is finished
and you are back in the writer document, to select a single character in the
equation itself.

What am I failing to do/see.

Note You need to log in before you can comment on or make changes to this bug.